/////////////////////////////////////////////////////////////////////////////
// Name:        WxPadTextCtrl.h
// Purpose:     Simple version of a notepad replacement
// Author:      
// Modified by: Biswapesh Chattopadhyay
// Created:     2001 05 11
// Licence:   	 wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef WX_PAD_TEXT_CTRL_H
#define WX_PAD_TEXT_CTRL_H

#include "WxPadCommon.h"

class WxPadTextCtrl : public wxTextCtrl
{
public:
    WxPadTextCtrl(wxWindow* parent, wxWindowID id = -1);
    
    int FindAndReplace(const wxString& findStr,
                       const long& startPos = -1,
                       const bool doReplace = false,
                       const wxString& replStr = wxEmptyString,
                       const bool replaceAll = false);
    
//protected:
//    DECLARE_EVENT_TABLE()
};
#endif
